AMTAPE(8)

NAME
amtape - Control Amanda changers

SYNOPSIS

amtape [-o configoption...] config subcommand [subcommand_options...]

DESCRIPTION

Amtape is the command-line interface to Amanda's tape changers (amanda-changers(7)) and to the taperscan algorithm (amanda-taperscan(7)).

Tape changers maintain a notion of the current slot for each configuration. This may or may not correspond to an actual physical state of the device, but is used by some taperscan algorithms to minimize searching through the slots.

Amtape uses the default changer. To use a different changer, use the config override option, e.g., -otpchanger=otherchanger.

SUBCOMMANDS

label label
    Search for and load the Amanda tape with label [label], also setting the current slot.

slot slot
    Load the volume in the given slot, also setting the current slot. The slot names current, next, first, and last have special meaning.

current
    Shorthand for slotcurrent.

inventory
    Show the contents of all slots, based on the changer's cached metadata. This is a quick operation as it does not load or unload any volumes, but is not supported by all changers.

show [slots]
    Show the contents of all slots (or listed slots) by loading each slot and reading its label. This can be very slow. The slots arguments is of the form 1,3-5,7.

reset
    Reset the changer to a known state. This subcommand is intended to clear any unknown and potentially incorrect state the changer may have stored.

eject [drive]
    Eject the tape currently in the drive. This only applies to some changers. Specify a drive (by drive number) if more than one drive is available.

clean [drive]
    If a cleaning tape is defined for the changer, used it to clean the specified drive. The [drive] is optional if the changer only has one drive.

taper
    Run the taperscan algorithm (see amanda-taperscan(7)), displaying information about the progress of the scan.

update [what]
    Update changer state. Consult amanda-changers(7) for changer-specific details on the format of what.

verify
    Verify the changer is correctly configured. Can be useful for chg-robot and chg-ndmp.

-o configoption
    See the "CONFIGURATION OVERRIDE" section in amanda(8).

SEE ALSO

amanda(8), amanda-changers(7), amanda-taperscan(7), amanda-devices(7)

The Amanda Wiki: : http://wiki.zmanda.com/

AUTHORS

Dustin J. Mitchell <dustin@zmanda.com>
    Zmanda, Inc. (http://www.zmanda.com)

James da Silva <jds@amanda.org>

Stefan G. Weichinger <sgw@amanda.org>